Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class TableHeadingElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.TableDataElement
                              |
                              +--weblogic.html.TableHeadingElement

public class TableHeadingElement
extends TableDataElement

A TableHeadingElement object is used to set the heading for a column in a TableElement. Add a TableHeadingElement to a TableRowElement with the TableElement.addElement() method. For example, this shows how to created a nested table with table headings:

      TableElement tab = new TableElement()
              .setBorder(1)
              .setCellPadding(5)
              .setWidth(50%)
              .setCaption(new StrongElement("Fall Registration Schedule").asItalicElement());
       tab.addElement(new TableRowElement()
                      .addElement(new TableHeadingElement(new AnchorElement(AnchorType.name,
                                                                     "topic",
                                                                     "Topic")))
                      .addElement(new TableHeadingElement("Value").setBgColor(HtmlColor.navy)));
       tab.addElement(new TableRowElement()
                      .addElement(new TableDataElement(reg.getID()).setVAlign(AlignType.top))
                      .addElement(new TableDataElement(new TableElement(reg.getMain())
                                                       .setCaption(new BoldElement("N1"))
                                                       .setBorder(1))
                                  .setVAlign(AlignType.top)));
       page.getBody().addElement(new CenteredElement(tab));

and so forth.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `TableElement`

Fields inherited from class weblogic.html.TableDataElement
`contents, val`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`TableHeadingElement()` Deprecated. Constructs a TableHeadingElement object.
`TableHeadingElement(HtmlElement elem)` Deprecated. Constructs a TableHeadingElement object with the specified HtmlElement.
`TableHeadingElement(java.lang.String elemstr)` Deprecated. Constructs a TableHeadingElement object with the specified String.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.

Methods inherited from class weblogic.html.TableDataElement
`getContents, getHtmlElement, setAlign, setBackground, setBgColor, setBgColor, setColSpan, setHeight, setNoWrap, setRowSpan, setVAlign, setWidth`

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableHeadingElement

    public TableHeadingElement()

  Deprecated.
  Constructs a TableHeadingElement object.

### TableHeadingElement

    public TableHeadingElement(HtmlElement elem)

  Deprecated.
  Constructs a TableHeadingElement object with the specified HtmlElement.

  Parameters:
    `elem` - HtmlElement object

### TableHeadingElement

    public TableHeadingElement(java.lang.String elemstr)

  Deprecated.
  Constructs a TableHeadingElement object with the specified String.

  Parameters:
    `elemstr` - String object

Method Detail

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class TableDataElement

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class TableDataElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD